Subject: Re: [BUG] Highly inconsistent diff UI

From: John Keeping <[email-masked]>
Date: Mon, 29 Apr 2013 19:32:05 +0100

On Mon, Apr 29, 2013 at 09:32:51AM -0700, Junio C Hamano wrote:
> *1* Instead, you have a separate integration branch for testing that
> merges other's work and your topic.

<shameless-plug>

I wrote a script to help manage this [1].  It doesn't do everything I
want it to yet but I'm using it on a daily basis to maintain a Git
version consisting of pu plus a few changes that I'm working on which
aren't ready for submission yet as well as for maintaining integration
branches in a couple of other projects.

You can create an integration branch on top of pu quickly with:

    git integration --create my-integration-branch pu \
        --add my-feature-branch --rebuild

And then whenever you want to rebuild with your latest changes (or on
top of the latest pu):

    git integration --rebuild my-integration-branch

[1] http://johnkeeping.github.io/git-integration/